Summary: A GNU tool for automatically configuring source code.
Name: autoconf
Version: 2.13
Release: 9tr
Copyright: GPL
Group: Programming/Portability
Source: ftp://prep.ai.mit.edu/pub/gnu/autoconf/autoconf-%{version}.tar.gz
Patch0: autoconf-2.12-race.patch
Patch1: autoconf-2.13-mawk.patch
Patch2: autoconf-2.13-notmp.patch
Prereq: /sbin/install-info
Requires: gawk, m4, mktemp, perl
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your 
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script; 
Autoconf is only required for the generation of the scripts, not
their use.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --infodir=$RPM_BUILD_ROOT/usr/share/info --bindir='${prefix}/bin'
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/usr/share/autoconf

export prefix=$RPM_BUILD_ROOT/usr
#make prefix=$RPM_BUILD_ROOT/usr install
%makeinstall

gzip -9nf $RPM_BUILD_ROOT/usr/share/info/autoconf.info*

# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f $RPM_BUILD_ROOT/usr/info/standards*
cp install-sh $RPM_BUILD_ROOT/usr/share/autoconf

%clean
#rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/share/info/autoconf.info.gz /usr/share/info/dir

%preun
if [ $1 = 0 ]; then
 /sbin/install-info --del /usr/share/info/autoconf.info.gz /usr/share/info/dir
fi

%files
/usr/share/info/autoconf.info*
/usr/bin/autoconf
/usr/bin/autoheader
/usr/bin/autoreconf
/usr/bin/autoscan
/usr/bin/autoupdate
/usr/bin/ifnames
/usr/share/autoconf

%changelog
* Thu Jun 14 2001 Oystein Viggen <oysteivi@trustix.com>
- Use %makeinstall macro to make sure exec_prefix and datadir are set

* Tue Apr 17 2001 Erlend Midttun <erlendbm@trustix.com>
- mkdir a little bit here and there.

* Mon Jan 29 2001 Olaf Trygve Berglihn <olafb@trustix.com>
- Fixed preun to only delete info files if not upgrading.

* Mon Feb 28 2000 Lars Gaarden <larsg@trustix.com>
- moved info file to /usr/share, FHS.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add patch to help autoconf clean after itself and not leave /tmp clobbered
  with acin.* and acout.* files (can you say annoying?)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- use gawk, not mawk

* Thu Mar 18 1999 Preston Brown <pbrown@redhat.com>
- moved /usr/lib/autoconf to /usr/share/autoconf (with automake)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.13.

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires perl

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- patch for fixing /tmp race conditions

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- made a noarch package
- uses autoconf
- uses install-info

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built with glibc

